import { expect, type Locator, type Page } from '@playwright/test';
import { BasePage } from './BasePage';

export class TpaConfirmationPage extends BasePage {
    readonly page: Page;
    readonly successMessage: Locator;
    readonly issPageValue = 'tpa-confirmation';

    constructor(page: Page) {
        super(page);
        this.page = page;
        this.successMessage = page.getByText('Success');
    }

    async validateSuccessMessage() {
        await expect(this.successMessage).toBeVisible();
    }

}